/*  g_posix_shared.h - POSIX IPC SHARED MEMORY TEST [header file]
 *  
 *  (C) Copyright XII 2004 Michal 'GiM' Spadlinski <gim at skrzynka dot pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __G_POSIX_SHARED
#define __G_POSIX_SHARED

#include <sys/wait.h>
#include <sys/types.h>
#define _POSIX_C_SOURCE 3
#include <sys/mman.h>
#define __USE_BSD
#include <unistd.h>
#include <string.h>
#include <sched.h>
#include <fcntl.h>

#include "g_ipc_wspolne.h"

extern const int long_s;

int child_posix_shared(int off);
int parent_posix_shared(int pid);
int prefork_posix_shared(void);

#endif /* __G_POSIX_SHARED */
